<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Document</title>
  <style>
    .column > p {
      background-color: #8a2be2;
      border-radius: 4px;
      color: #fff;
      padding: 1.25rem 0;
      text-align: center;
    }

    .column .box {
      background-color: #8a2be2;
      border-radius: 4px;
      padding: 1.25rem 0;
    }

    .column .box > p {
      color: white;
    }

    .title {
      font-size: 1.2rem;
    }
  </style>
</head>
<body>
  <h2>Grid system</h2>
  <div class="columns">
    <div class="column">
      <p>First column</p>
    </div>
    <div class="column">
      <p>Second column</p>
    </div>
    <div class="column">
      <p>Third column</p>
    </div>
    <div class="column">
      <p>Fourth column</p>
    </div>
  </div>

  <div class="columns">
    <div class="column col-1">
      <p>col-1</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-2">
      <p>col-2</p>
    </div>
  </div>

  <div class="columns">
    <div class="column col-3">
      <p>col-3</p>
    </div>
  </div>

  <div class="columns">
    <div class="column col-4">
      <p>col-4</p>
    </div>
  </div>
  
  <div class="columns">
    <div class="column col-5">
      <p>col-5</p>
    </div>
  </div>

  <div class="columns">
    <div class="column col-6">
      <p>col-6</p>
    </div>
  </div>

  <div class="columns">
    <div class="column col-7">
      <p>col-7</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-8">
      <p> col-8</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-9">
      <p>col-9</p>
    </div>
  </div>

  <div class="columns">
    <div class="column col-10">
      <p>col-10</p>
    </div>
    <div class="column">
      <p>1</p>
    </div>
    <div class="column">
      <p>1</p>
    </div>
  </div>

  <div class="columns">
    <div class="column col-11">
      <p>col-11</p>
    </div>
    <div class="column">
      <p>1</p>
    </div>
  </div>

  <div class="columns">
    <div class="column col-12">
      <p>col-12</p>
    </div>
  </div>

  <h2>Offset</h2>
  <div class="columns">
    <div class="column col-offset-1">
      <p>col-offset-1</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-2">
      <p>col-offset-2</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-3">
      <p>col-offset-3</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-4">
      <p>col-offset-4</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-5">
      <p>col-offset-5</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-6">
      <p>col-offset-6</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-7">
      <p>col-offset-7</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-8">
      <p>col-offset-8</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-9">
      <p>col-offset-9</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-10">
      <p>col-offset-10</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-11">
      <p>col-offset-11</p>
    </div>
  </div>
  <div class="columns">
    <div class="column col-offset-12">
      <p>col-offset-12</p>
    </div>
  </div>

  <h2>Smart column size</h2>
  <p>Use the .smart modifier for make the column to only take the <b>space it needs</b></p>
  <div class="columns">
    <div class="column smart">
      <div class="box" style="width: 350px;">
        <p class="title col-5">Smart column</p>
        <p class="subtitle">This column is only 350px wide.</p>
      </div>
    </div>
    <div class="column">
      <div class="box">
        <p class="title col-5">Flexible column</p>
        <p class="subtitle">This column will take up the remaining space available.</p>
      </div>
    </div>
  </div>

  <h2>Mobile columns</h2>
  <div class="columns mobile">
    <div class="column"><p>1</p></div>
    <div class="column"><p>2</p></div>
    <div class="column"><p>3</p></div>
    <div class="column"><p>4</p></div>
  </div>

  <h2>Remove margin</h2>
  <div class="columns mobile no-margin">
    <div class="column"><p>1</p></div>
    <div class="column"><p>2</p></div>
    <div class="column"><p>3</p></div>
    <div class="column"><p>4</p></div>
  </div>

  <h2>Multiline</h2>
  <div class="columns multiline mobile no-margin">
    <div class="column col-3"><p>col-3</p></div>
    <div class="column col-3"><p>col-3</p></div>
    <div class="column col-3"><p>col-3</p></div>
    <div class="column col-3"><p>col-3</p></div>
    
    <div class="column col-5"><p>col-5</p></div>
    <div class="column col-7"><p>col-7</p></div>
    
    <div class="column col-4"><p>col-4</p></div>
    <div class="column"><p>auto</p></div>
  </div>

  <h2>Centering columns</h2>
  <div class="columns mobile centered">
    <div class="column half">
      <p>half</p>
    </div>
  </div>

  <p>Use with .is-multiline to create a flexible, centered list.</p>
  <div class="columns mobile multiline centered">
    <div class="column">
        <p>First column</p>
      </div>
      <div class="column">
        <p>Second column</p>
      </div>
      <div class="column">
        <p>Third column</p>
      </div>
      <div class="column">
        <p>Fourth column</p>
      </div>
    </div>
  <script src="../nuiverse.min.js"></script>
</body>
</html>